import sys
import flask
import yaml

app = flask.Flask(__name__)

with open('data.yaml', 'r') as f:
    animals = yaml.load(f)


print(animals, file=sys.stderr)

@app.route('/')
def index():
    # rendering 'index.html' template with jinja variable 'animals'
    # assigned to Python object in 'animals'
    return flask.render_template('index.html', animals=animals)


# function that handles URLs of the form /animals/number/
@app.route('/animals/<int:aid>/')
def animal(aid):
    animal = animals[aid]
    return flask.render_template('animal.html', animal=animal)


if __name__ == '__main__':
    app.run(debug=True)
